<%@page language="java" import="java.util.*, java.io.*,com.homeautomationguru.intellihome.modules.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<% 
	ArrayList<Module> modules = (ArrayList<Module>)request.getAttribute("modules");
	ArrayList<String> folders = (ArrayList<String>)request.getAttribute("folders");
	String folderName = (String)request.getAttribute("folder");
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>
	<script src="/js/jquery-ui.min.js"></script>
	<script src="/js/jquery.ui.touch-punch.min.js"></script>

<script>


$(document).on("pagecreate", function() {
    $( "#items" ).sortable();
});
</script>

	<script language="javascript"> 
	<!--
	var state = 'none';

	function showhide(layer_ref) {

	if (state == 'block') { 
	state = 'none'; 
	} 
	else { 
	state = 'block'; 
	} 
	if (document.getElementById &&!document.all) { 
	hza = document.getElementById(layer_ref); 
	hza.style.display = state; 
	} 
	} 
	//--> 
	</script>
</head>

<body>

<div data-role="page" data-theme="b" id="Intellihome" data-title="Intellihome">

	<div id="header" data-theme="b" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="true">
		<h1>Intellihome
<% if (!"".equals(folderName)) { %>	- <%=folderName%>
<% } %>
		</h1>
		<div class="ui-btn-left">
<% if (!"".equals(folderName)) { %>		
			<a href="/action" data-role="button" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
<% } %>
		</div>
	</div>

	<div data-theme="b" role="main" class="ui-content">
		<br/><br/><br/><br/><center>
		<div id="items" data-role="button">
<% 
for (Module module : modules) { 
	if (module.isActive()) {
%>		
	      <a id="<%=module.getName() %>" href="/action?module=<%=module.getName() %>" data-role="button" data-inline="true" data-theme="b" data-ajax="false"><img src="<%=module.getIconName() %>" height="100" width="100"/><br/><br/><%=module.getLongName() %></a>
<% 
	}
}
%>

<% 
for (String folder : folders) { 
%>		
	      <a href="/action?module=launcher&folder=<%=folder%>" data-role="button" data-inline="true" data-theme="b" data-ajax="false"><img src="/modules/launcher/images/folder.png" height="100" width="100"/><br/><br/><%=folder %></a>
<% 
}
%>
		</div>
	</center>

	</div>

</div>
</body>
</html>
