<%@page language="java" import="java.util.*,java.text.*,com.homeautomationguru.intellihome.isy.*" %>
<%
	ISYDataDevice device = (ISYDataDevice)request.getAttribute("device");
	ISYDataScene scene = (ISYDataScene)request.getAttribute("scene");
	String error = (String)request.getAttribute("error");

	if ((error != null) && (error.length()>0))
	{
%>
 <center>
	<div class="ui-corner-all" id="errorMessage" style="margin:30px; width:500px; padding: 10px; background-color:#ff6961; text-shadow:0 0 0;">
		An error occurred:<br/><br/>
		<b><%=error%></b>
	</div>
</center>
 <%
	} else if (device!= null)	{
 %>
<table data-role="table" class="table-stripe">
	<tr><th>Name</th><th>Value</th></tr>
	<tr><td>Address</td><td><%=device.getAddress() %></td></tr>
	<tr><td>Folder</td><td><%=device.getFolderPath() %></td></tr>
	<tr><td>Name</td><td><%=device.getName() %></td></tr>
	<tr><td>Last Contact</td><td><%=device.getLastContact() %></td></tr>
	<tr><td>Status</td><td><%=device.getStatus() %></td></tr>
	<tr><td>DC Period</td><td><%=device.getDcPeriod() %></td></tr>
	<tr><td>Class</td><td><%=device.getDeviceClass() %></td></tr>
	<tr><td>Type</td><td><%=device.getDeviceType() %></td></tr>
	<tr><td>Description</td><td><%=device.getDeviceDescription() %></td></tr>
	<tr><td>Family ID</td><td><%=device.getFamilyId() %></td></tr>
	<tr><td>Device ID</td><td><%=device.getFormattedDeviceId() %></td></tr>
	<tr><td>Has Pending Writes</td><td><%=device.getHasPendingDeviceWrites() %></td></tr>
	<tr><td>isController</td><td><%=device.getIsControllerFlag() %></td></tr>
	<tr><td>isEnabled</td><td><%=device.getIsEnabled() %></td></tr>
	<tr><td>isQueryable</td><td><%=device.getIsQueryableFlag() %></td></tr>
	<tr><td>isResponder</td><td><%=device.getIsResponderFlag() %></td></tr>
	<tr><td>Properties</td><td><%=device.getNodeDeviceProperties() %></td></tr>
	<tr><td>Parent ID</td><td><%=device.getParent() %></td></tr>
	<tr><td>Parent Name</td><td><%=device.getParentName() %></td></tr>
	<tr><td>Parent Type</td><td><%=device.getParentType() %></td></tr>
	<tr><td>Primary Node</td><td><%=device.getPrimaryNode() %></td></tr>
	<tr><td>UUID</td><td><%=device.getUuid() %></td></tr>
	<tr><td>Wattage</td><td><%=device.getWattage() %></td></tr>
	<tr><td>Writing to Device</td><td><%=device.getWritingToDevice() %></td></tr>
	<tr><td>txEndpointMask</td><td><%=device.getTxEndpointMask() %></td></tr>
	<tr><td>rxEndpointMask</td><td><%=device.getRxEndpointMask() %></td></tr>
	<tr><td>Responder Type</td><td><%=device.getResponderType() %></td></tr>
	<tr><td>isInError</td><td><%=device.getIsInError() %></td></tr>
</table> 
 <%
	} else if (scene!= null)	{
 %>
<table data-role="table" class="table-stripe">
	<tr><th>Name</th><th>Value</th></tr>
	<tr><td>Address</td><td><%=scene.getAddress() %></td></tr>
	<tr><td>Folder</td><td><%=scene.getFolderPath() %></td></tr>
	<tr><td>Name</td><td><%=scene.getName() %></td></tr>
	<tr><td>Status</td><td><%=scene.getStatus() %></td></tr>
	<tr><td>DC Period</td><td><%=scene.getDcPeriod() %></td></tr>
	<tr><td>Class</td><td><%=scene.getDeviceClass() %></td></tr>
	<tr><td>Device Type</td><td><%=scene.getDeviceType() %></td></tr>
	<tr><td>Family ID</td><td><%=scene.getFamilyId() %></td></tr>
	<tr><td>Device ID</td><td><%=scene.getFormattedDeviceId() %></td></tr>
	<tr><td>Has Pending Writes</td><td><%=scene.getHasPendingDeviceWrites() %></td></tr>
	<tr><td>isController</td><td><%=scene.getIsControllerFlag() %></td></tr>
	<tr><td>isEnabled</td><td><%=scene.getIsEnabled() %></td></tr>
	<tr><td>isQueryable</td><td><%=scene.getIsQueryableFlag() %></td></tr>
	<tr><td>isResponder</td><td><%=scene.getIsResponderFlag() %></td></tr>
	<tr><td>Properties</td><td><%=scene.getNodeDeviceProperties() %></td></tr>
	<tr><td>Parent ID</td><td><%=scene.getParent() %></td></tr>
	<tr><td>Parent Name</td><td><%=scene.getParentName() %></td></tr>
	<tr><td>Parent Type</td><td><%=scene.getParentType() %></td></tr>
	<tr><td>Primary Node</td><td><%=scene.getPrimaryNode() %></td></tr>
	<tr><td>UUID</td><td><%=scene.getUuid() %></td></tr>
	<tr><td>Wattage</td><td><%=scene.getWattage() %></td></tr>
	<tr><td>Writing to Device</td><td><%=scene.getWritingToDevice() %></td></tr>
	<tr><td>txEndpointMask</td><td><%=scene.getTxEndpointMask() %></td></tr>
	<tr><td>rxEndpointMask</td><td><%=scene.getRxEndpointMask() %></td></tr>
	<tr><td>Responder Type</td><td><%=scene.getResponderType() %></td></tr>
	<tr><td>isInError</td><td><%=scene.getIsInError() %></td></tr>
	<tr><td>Type</td><td><%=scene.getType() %></td></tr>
	<tr><td>typeReadable</td><td><%=scene.getTypeReadable() %></td></tr>
	<tr><td>nodeFlag</td><td><%=scene.getNodeFlag() %></td></tr>
	<tr><td>Physical Group Address</td><td><%=scene.getPhysicalGroupAddress() %></td></tr>
	<tr><td>Default Family ID</td><td><%=scene.getDefaultFamilyId() %></td></tr>
	<tr><td>Primary Node</td><td><%=scene.getPrimaryNode() %></td></tr>
	<tr><td>Device Nodes</td><td><%=scene.getsDeviceNodes() %></td></tr>
	<tr><td>Group Flags</td><td><%=scene.getGroupNodeFlags() %></td></tr>
	<tr><td>Controls</td><td><%=scene.getsControls() %></td></tr>
</table> 
 <%
	}
 %>
 