<%@page language="java" import="java.util.*,java.text.*,com.homeautomationguru.intellihome.location.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<%
	ArrayList<Position> positions = (ArrayList)request.getAttribute("positions");
	String centerLat = (String)request.getAttribute("cLat");
	String centerLon = (String)request.getAttribute("cLon");
%>

<head>
    <meta charset="utf-8">
	<meta id="viewport" name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
    <script type="text/javascript" src="/js/jquery.js"></script>
	<script type="text/javascript" src="/js/jquery.mobile-1.4.2.min.js"></script>

	<title>Intellihome - Location</title>
	 <style>
      #map_canvas {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 200px;
        border: 1px solid;
      }
    </style>
    
	<script type="text/javascript" charset="utf-8">
		window.onload = function() {
		  setTimeout(function(){window.scrollTo(0, 1);}, 100);
		}
	</script>

	<script language="javascript"> 
	<!--
	var state = 'none';

	function showhide(layer_ref) {

	if (state == 'block') { 
	state = 'none'; 
	} 
	else { 
	state = 'block'; 
	} 
	if (document.getElementById &&!document.all) { 
	hza = document.getElementById(layer_ref); 
	hza.style.display = state; 
	} 
	} 
	//--> 
	</script>
    <script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=true"></script>
    <script>
    // turn on visual refresh
	  google.maps.visualRefresh = true;
    
      var map;
      var LatLong = new google.maps.LatLng(<%=centerLat%>, <%=centerLon%>);
      function initialize() {
        var mapOptions = {
          zoom: <%=request.getAttribute("zoomLevel")%>,
          center: LatLong,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        map = new google.maps.Map(document.getElementById('map_canvas'),
            mapOptions);

        var locationHistory = [
<%        for (int x=positions.size()-1; x>0; x--) {
        	Position tempPosition = positions.get(x);%>
			new google.maps.LatLng(<%=tempPosition.getLatitude()%>, <%=tempPosition.getLongitude()%>), // <%=tempPosition.getOccurredString()%>, <%=tempPosition.getAccuracy()%> <%      } %>
			new google.maps.LatLng(<%=positions.get(0).getLatitude()%>, <%=positions.get(0).getLongitude()%>) // <%=positions.get(0).getOccurredString()%>, <%=positions.get(0).getAccuracy()%>
		];
        
        var locationLine = new google.maps.Polyline({
            path: locationHistory,
            strokeColor: "#FF0000",
            strokeOpacity: 1.0,
            strokeWeight: 2
          });

        locationLine.setMap(map);
      }

		orientationChange = function() {
			var height = window.innerHeight - 300;
			document.getElementById("map_canvas").style.height=""+height+"px";
		}
		
		window.addEventListener('orientationchange', orientationChange, false);  
	    google.maps.event.addDomListener(window, 'load', initialize);
	    google.maps.event.addDomListener(window, 'load', orientationChange);
	    
    </script>
</head>

<body onLoad="$('#map_canvas').height($(this).height() - 100);">
<div data-theme="b" data-role="page" id="Location" data-title="Location">

	<div data-theme="b" id="header" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="true">
		<h1>Location</h1>
		<div class="ui-btn-left">
			<a href="/action" data-role="button" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
			<a href="/action?module=settings&action=loadsettings&moduleName=location" data-role="button" data-ajax="false" data-icon="gear" data-iconpos="notext" data-shadow="true">Settings</a>
		</div>
		<div class="ui-btn-right" data-role="controlgroup" data-type="horizontal">
			<a href="#controlpanel" data-role="button" data-icon="grid" data-rel="popup" data-shadow="true">Options</a>
		</div>
	</div>

	<div data-theme="b" role="main" class="ui-content">
	<br/><br/>
    <div id="map_canvas"></div>
<p>Last Location: <%=positions.get(0).getOccurredString()%></p>
	</div>

  <!-- defaultpanel  -->
  <div data-role="panel" id="controlpanel" data-theme="b" data-display="push"> 
 
    <div class="panel-content">
      <h3>Options</h3>
<form name="paramForm" id="paramForm" action="/action" method="get">
	<input type="hidden" name="module" value="location"/>
	<input type="hidden" name="action" value="display"/>
	<input type="hidden" id="zoomLevel" name="zoomLevel" value="<%=request.getAttribute("zoomLevel")%>"/>
	<input type="hidden" id="cLat" name="cLat" value="<%=centerLat%>"/>
	<input type="hidden" id="cLon" name="cLon" value="<%=centerLon%>"/>
	<p>Start Date: 	<input name="startDate" type="date" value="<%=request.getAttribute("startDate")%>" /> </p>
	<p>Stop Date: <input name="endDate" type="date" value="<%=request.getAttribute("endDate")%>" /></p>
	<p>Points: <select name="numPoints"><option value="1000"><%=request.getAttribute("numPoints")%></option><option value="2000">2000</option><option value="5000">5000</option><option value="10000">10000</option><option value="20000">20000</option></select></p>
	<a onClick="reloadValues();" class="blueButton" id='form-submit' data-rel='popup' data-ajax="false" data-role='button'>Save</a>

</form>
    </div><!-- /content wrapper for padding -->
  </div><!-- /defaultpanel -->
	
</div>
<script>
reloadValues = function() {
	var form = document.getElementById('paramForm');
	var c = map.getCenter();
	form.cLat.value = c.lat();
	form.cLon.value = c.lng();
	form.zoomLevel.value=map.getZoom();
	form.submit();
}

$(window).resize(function(){
	   $('#map_canvas').height($(this).height() - 100);
})
</script>

</body>
</html>
