<%@page language="java" import="java.util.*,java.text.*, com.homeautomationguru.intellihome.modules.*, com.homeautomationguru.intellihome.helpers.*" %>
<% 
	ArrayList<Module> modules = (ArrayList<Module>)request.getAttribute("modules");
%>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/css/prefs.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>
</head> 
<body> 

<!-- page -->
<div data-theme="b" id="Preferences" data-role="page" data-title="Preferences">

	<!-- header -->
	<div data-theme="b" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="false" class="ui-header ui-bar-f" role="banner">
<% if (modules.size() == 1) { %>			
		<h1>Preferences: <%= modules.get(0).getLongName() %></h1>
<% } else {%>
		<h1>Preferences: IntelliHome</h1>
<% } %>			
		<div class="ui-btn-left">
			<a href="/action?module=launcher&folder=Settings" data-ajax="false" data-role="button" data-ajax="false" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
<% if (modules.size() == 1) { %>			
			<a href="/action?module=<%=modules.get(0).getName() %>" data-role="button" data-ajax="false" data-direction="reverse" data-icon="back" data-iconpos="notext" data-shadow="true">Back</a>
<% } %>			
		</div>
	</div>
	<!-- /header -->

	<!-- content -->
	<div data-theme="b" data-role="content" class="ui-content" role="main">
	<br/><br/><br/>

	<center>
	<form data-ajax="false" id="prefsform" action="/action?module=settings&action=savesettings" method=post>
<% if (modules.size() == 1) { %>	
		<input type="hidden" name="moduleName" value="<%=modules.get(0).getName() %>" />
<% } %>
<% 
for (Module module : modules) { 
	if (module.getSettings().size() >0 ) {
%>
		<div class="content-primary"><br/>
			<h2><%= module.getLongName() %></h2>
			<table border=1 padding=5 cellpadding=5 cellspacing=3>
				<tr><th align="center">Setting</th><th>Description</th><th width="300px">Value</th></tr>
<%
		for (Setting setting : module.getSettings()) {
%>			
				<tr><td align="right"><%= setting.getLongName() %></td><td><%= setting.getDescription() %></td><td><input type="text" name="<%=setting.getStoredName() %>" value="<%=setting.getCurrentValue()%>"></td></tr>
<%
		}
%>
			</table>
		</div>

<%
	}
} 
%>

	<input type="submit" value="Save Settings"/>
	</form>
	</center>
	</div>
	<!-- content -->
</div>
<!-- /page -->

</body>
</html>